package data;

import java.io.File;
import java.io.BufferedReader;
import java.io.FileReader;
import java.util.StringTokenizer;



public class DataLoader {

	File file;
	DataRepresentation datrep;


  //constructor
	public DataLoader(File file) {

		this.file = file;
		loadData();

	}


  //Erzeugt BufferedReader und liest Daten zeilenweise ein
  private void loadData() {

		try {
			BufferedReader br = new BufferedReader(new FileReader(file));

			String line;
			boolean firstline = true;
			datrep = new StandardData();


			//Solange Zeilen eingelesen werden knnen
			while ((line = br.readLine()) != null) {
				if (firstline) {
					firstline = false;
					parseFirstLine(line);
				}
				else {
					parseLine(line);
				}
			}

			br.close();


		}
		catch (Exception e) {
			e.printStackTrace();
		}

	}


	//Analysiere 1. Zeile
	private void parseFirstLine(String line) {
		StringTokenizer strtoken = new StringTokenizer(line, ";");

		String[] colnames = new String[strtoken.countTokens()];

		int i = 0;

		while (strtoken.hasMoreTokens()) {
			colnames[i] = strtoken.nextToken();
			System.out.println(colnames[i]);
			i++;
	  }

	  datrep.setColumnNames(colnames);


	}

	//Analysiere beliebige Zeile
	private void parseLine(String line) {

    StringTokenizer strtoken = new StringTokenizer(line, ";");

		String timelabel = "";
		double[] data = new double[strtoken.countTokens()-1];

		int i = 0;

		while (strtoken.hasMoreTokens()) {
			if (i == 0) {
			  timelabel = strtoken.nextToken();
			}
			else {
				try {
				  data[i-1] = Double.parseDouble(strtoken.nextToken());
				}
				catch (NumberFormatException nfe) {
					data[i-1] = 0;
					System.out.println("Fehler beim Lesen der numerischen Daten");
				}
			}
			i++;
	  }

	  datrep.addData(timelabel, data);



	}

	//retourniert die erstellte DatenRepresentaion
	public DataRepresentation getDataRepresentation() {
		return datrep;
	}

}