package data;

public interface DataRepresentation {

  //Setzt die Spaltenberschriften
  public void setColumnNames(String[] colnames);

  //setzt einen neuen Datensatz
  public void addData(String timelabel, double[] newdata);

  //retourniert die Spaltenberschriften
  public String[] getColumnNames();

  //retourniert die Zeitbezeichnung des Datensatzes
  //Zeile 0 bis datensatzanzahl-1
  public String getTimeData(int row);


  //retourniert die numerische Daten des Datensatzes
  //Zeile 0 bis datensatzanzahl-1
  public double[] getData(int row);

  //retourniert die numerische Daten in Prozent pro Zeile des Datensatzes
  //Zeile 0 bis datensatzanzahl-1
  public int[] getPercentageData(int row);


  //retourniert die Summe numerische Daten in der angegebenen Zeile
  public double getRowSum(int row);

  //retourniert den grten Wert der Zeilensummen
  public double getMaximumSumValue();


  //retourniert die Anzahl der Datenstze
  public int countData();

  //retourniert die Maeinheit der Zeitskala
  public String getTimeDomain();

}